# Vue Inputs Components

A package of Vue Input components. It comes with a collection of form components which is useful to get different input values from the users such as text, numbers, patterns, color and file inputs.

## What's Included in the Vue Inputs Package

The Vue Inputs package includes the following list of components.

### Vue ColorPicker

The [Vue ColorPicker](https://www.syncfusion.com/vue-components/vue-color-picker?utm_source=npm&utm_medium=listing&utm_campaign=vue-inputs-npm) component is a user interface that is used to select and adjust color values.

<p align="center">
  <a href="https://ej2.syncfusion.com/vue/documentation/color-picker/getting-started/?utm_source=npm&utm_medium=listing&utm_campaign=vue-inputs-npm">Getting Started</a> .
  <a href="https://ej2.syncfusion.com/vue/demos/?utm_source=npm&utm_medium=listing&utm_campaign=vue-inputs-npm#/fluent2/color-picker/default.html">Online demos</a> .
  <a href="https://www.syncfusion.com/vue-components/vue-color-picker?utm_source=npm&utm_medium=listing&utm_campaign=vue-inputs-npm">Learn more</a>
</p>

<p align="center">
<img alt="Vue ColorPicker Component" src="https://raw.githubusercontent.com/SyncfusionExamples/nuget-img/master/vue/vue-colorpicker.png">
</p>

#### Key features

* [Color specification](https://ej2.syncfusion.com/vue/demos/?utm_source=npm&utm_campaign=color-picker#/fluent2/color-picker/default.html) - Supports `Red Green Blue`, `Hue Saturation Value` and `Hex` codes.
* [Mode](https://ej2.syncfusion.com/vue/documentation/color-picker/mode-and-value#mode-and-value) - Supports `Picker` and `Palette` mode.
* [Inline](https://ej2.syncfusion.com/vue/demos/?utm_source=npm&utm_campaign=color-picker#/fluent2/color-picker/inline.html) - Supports inline type rendering of color picker.
* [Custom palettes](https://ej2.syncfusion.com/vue/demos/?utm_source=npm&utm_campaign=color-picker#/fluent2/color-picker/custom.html) - Allows to customize palettes and supports multiple palette groups rendering.
* [Opacity](https://ej2.syncfusion.com/vue/documentation/color-picker/mode-and-value#color-value) - Allows to set and change the `opacity` of the selected color.
* [Accessibility](https://ej2.syncfusion.com/vue/documentation/color-picker/accessibility#accessibility) - Built-in accessibility features to access color picker using the keyboard, screen readers, or other assistive technology devices.

### Vue TextBox

The [Vue TextBox](https://www.syncfusion.com/vue-components/vue-textbox?utm_source=npm&utm_medium=listing&utm_campaign=vue-inputs-npm) component is an extended version of the HTML input control which is used to edit or display text input on a form.

<p align="center">
  <a href="https://ej2.syncfusion.com/vue/documentation/textbox/getting-started/?utm_source=npm&utm_medium=listing&utm_campaign=vue-inputs-npm">Getting Started</a> .
  <a href="https://ej2.syncfusion.com/vue/demos/?utm_source=npm&utm_medium=listing&utm_campaign=vue-inputs-npm#/fluent2/textboxes/default.html">Online demos</a> .
  <a href="https://www.syncfusion.com/vue-components/vue-textbox?utm_source=npm&utm_medium=listing&utm_campaign=vue-inputs-npm">Learn more</a>
</p>

<p align="center">
<img alt="Vue TextBox Component" src="https://raw.githubusercontent.com/SyncfusionExamples/nuget-img/master/vue/vue-textbox.png">
</p>

#### Key features

* [Floating label](https://ej2.syncfusion.com/vue/demos/?utm_source=npm&utm_campaign=textbox#/fluent2/textboxes/default.html) – floats the placeholder text while focus.
* [Input group](https://ej2.syncfusion.com/vue/demos/?utm_source=npm&utm_campaign=textbox#/fluent2/textboxes/default.html) – group the icons, buttons along with textbox.
* [Validation states](https://ej2.syncfusion.com/vue/demos/?utm_source=npm&utm_campaign=textbox#/fluent2/textboxes/default.html) – provides styles for success, error, and warning states.
* [Multiline](https://ej2.syncfusion.com/vue/demos/?utm_source=npm&utm_campaign=textbox#/fluent2/textboxes/default.html) – handles multiline input with placeholder text

### Vue MaskedTextBox

The [Vue MaskedTextBox](https://www.syncfusion.com/vue-components/vue-input-mask?utm_source=npm&utm_medium=listing&utm_campaign=vue-inputs-npm) component allows the user to enter the valid input only based on the provided mask.

<p align="center">
  <a href="https://ej2.syncfusion.com/vue/documentation/maskedtextbox/getting-started/?utm_source=npm&utm_medium=listing&utm_campaign=vue-inputs-npm">Getting Started</a> .
  <a href="https://ej2.syncfusion.com/vue/demos/?utm_source=npm&utm_medium=listing&utm_campaign=vue-inputs-npm#/fluent2/maskedtextbox/default.html">Online demos</a> .
  <a href="https://www.syncfusion.com/vue-components/vue-input-mask?utm_source=npm&utm_medium=listing&utm_campaign=vue-inputs-npm">Learn more</a>
</p>

<p align="center">
<img alt="Vue MaskedTextBox Component" src="https://raw.githubusercontent.com/SyncfusionExamples/nuget-img/master/vue/vue-maskedtextbox.png">
</p>

#### Key features

* [Custom characters](https://ej2.syncfusion.com/vue/demos/?utm_source=npm&utm_campaign=maskedtextbox#/fluent2/maskedtextbox/custom-mask.html) - allows you to use your own characters as the mask elements.
* [Regular expression](https://ej2.syncfusion.com/vue/documentation/maskedtextbox/mask-configuration#regular-expression/?utm_source=npm&utm_campaign=maskedtextbox#regular-expression) - can be used as a mask element for each character of the MaskedTextBox.
* [Accessibility](https://ej2.syncfusion.com/vue/documentation/maskedtextbox/accessibility/?utm_source=npm&utm_campaign=maskedtextbox) - provides built-in accessibility support which helps to access all the MaskedTextBox component features through keyboard, on-screen readers, or other assistive technology devices.

### Vue NumericTextBox

The [Vue NumericTextBox](https://www.syncfusion.com/vue-components/vue-numeric-textbox?utm_source=npm&utm_medium=listing&utm_campaign=vue-inputs-npm) component is used to get the number inputs from the user. The input values can be incremented or decremented by a predefined step value.

<p align="center">
  <a href="https://ej2.syncfusion.com/vue/documentation/numerictextbox/getting-started/?utm_source=npm&utm_medium=listing&utm_campaign=vue-inputs-npm">Getting Started</a> .
  <a href="https://ej2.syncfusion.com/vue/demos/?utm_source=npm&utm_medium=listing&utm_campaign=vue-inputs-npm#/fluent2/numerictextbox/default.html">Online demos</a> .
  <a href="https://www.syncfusion.com/vue-components/vue-numeric-textbox?utm_source=npm&utm_medium=listing&utm_campaign=vue-inputs-npm">Learn more</a>
</p>

<p align="center">
<img alt="Vue NumericTextBox Component" src="https://raw.githubusercontent.com/SyncfusionExamples/nuget-img/master/vue/vue-numerictextbox.png">
</p>

#### Key features

* [Range validation](https://ej2.syncfusion.com/vue/demos/?utm_source=npm&utm_campaign=numerictextbox#/fluent2/numerictextbox/range-validation.html) - allows to set the minimum and maximum range of values in the NumericTextBox.
* [Number formats](https://ej2.syncfusion.com/vue/demos/?utm_source=npm&utm_campaign=numerictextbox#/fluent2/numerictextbox/custom-format.html) - supports the number display formatting with MSDN standard and custom number formats.
* [Precision Of numbers](https://ej2.syncfusion.com/vue/demos/?utm_source=npm&utm_campaign=numerictextbox#/fluent2/numerictextbox/restrict-decimals.html) - allows to restrict the number precision when enters the value.
* [Keyboard interaction](https://ej2.syncfusion.com/vue/documentation/numerictextbox/accessibility#keyboard-interaction/?utm_source=npm&utm_campaign=numerictextbox#keyboard-interaction) - allows users to interact with the NumericTextBox using the keyboard.
* [Accessibility](https://ej2.syncfusion.com/vue/documentation/numerictextbox/accessibility/?utm_source=npm&utm_campaign=numerictextbox) - provides built-in accessibility support which helps to access all the NumericTextBox component features through keyboard, on-screen readers or other assistive technology devices.
* [Internationalization](https://ej2.syncfusion.com/vue/documentation/numerictextbox/globalization/?utm_source=npm&utm_campaign=numerictextbox#internationalization) - library provides support for formatting and parsing number using the official Unicode CLDR JSON data.
* [Localization](https://ej2.syncfusion.com/vue/documentation/numerictextbox/globalization/?utm_source=npm&utm_campaign=numerictextbox#localization) - Supports to localize spin up and down buttons title for the tooltip to different cultures.

### Vue Signature

The [Vue Signature](https://www.syncfusion.com/vue-components/vue-signature?utm_source=npm&utm_medium=listing&utm_campaign=vue-inputs-npm) component allows user to draw smooth signatures as vector outline of strokes using variable width bezier curve interpolation. It allows to save signature as image.

<p align="center">
  <a href="https://ej2.syncfusion.com/vue/documentation/signature/getting-started/?utm_source=npm&utm_medium=listing&utm_campaign=vue-inputs-npm">Getting Started</a> .
  <a href="https://ej2.syncfusion.com/vue/demos/?utm_source=npm&utm_medium=listing&utm_campaign=vue-inputs-npm#/fluent2/signature/default.html">Online demos</a> .
  <a href="https://www.syncfusion.com/vue-components/vue-signature?utm_source=npm&utm_medium=listing&utm_campaign=vue-inputs-npm">Learn more</a>
</p>

<p align="center">
<img alt="Vue Signature Component" src="https://raw.githubusercontent.com/SyncfusionExamples/nuget-img/master/vue/vue-signature.png">
</p>

#### Key features

* [Customization](https://ej2.syncfusion.com/demos/?utm_source=npm&utm_campaign=slider#/fluent2/signature/default.html) - Support various customization options like background color, background image, stroke color, stroke width, save with background, undo, redo, clear, readonly, and disabled.
* [Save](https://ej2.syncfusion.com/demos/?utm_source=npm&utm_campaign=slider#/fluent2/signature/default.html) - Support to save the signature as image like PNG, JPEG, and SVG.
* [Load](https://ej2.syncfusion.com/demos/?utm_source=npm&utm_campaign=slider#/fluent2/signature/default.html) - Support to load the signature as base64 url of the image.
* [Draw](https://ej2.syncfusion.com/demos/?utm_source=npm&utm_campaign=slider#/fluent2/signature/default.html) - Support to draw the text with the different font family and font size.

### Vue Slider

The [Vue slider](https://www.syncfusion.com/vue-components/vue-slider?utm_source=npm&utm_medium=listing&utm_campaign=vue-inputs-npm) component allows you to select a value or range of values between the min and max range.

<p align="center">
  <a href="https://ej2.syncfusion.com/vue/documentation/range-slider/getting-started/?utm_source=npm&utm_medium=listing&utm_campaign=vue-inputs-npm">Getting Started</a> .
  <a href="https://ej2.syncfusion.com/vue/demos/?utm_source=npm&utm_medium=listing&utm_campaign=vue-inputs-npm#/fluent2/range-slider/default.html">Online demos</a> .
  <a href="https://www.syncfusion.com/vue-components/vue-slider?utm_source=npm&utm_medium=listing&utm_campaign=vue-inputs-npm">Learn more</a>
</p>

<p align="center">
<img alt="Vue Slider Component" src="https://raw.githubusercontent.com/SyncfusionExamples/nuget-img/master/vue/vue-slider.png">
</p>

#### Key features

* [Types](https://ej2.syncfusion.com/vue/demos/?utm_source=npm&utm_campaign=slider#/fluent2/range-slider/default.html) - Provided three types of Slider.
* [Orientation](https://ej2.syncfusion.com/vue/demos/?utm_source=npm&utm_campaign=slider#/fluent2/range-slider/orientation.html) - Displays the Slider in horizontal or vertical direction.
* [Buttons](https://ej2.syncfusion.com/vue/demos/?utm_source=npm&utm_campaign=slider#/fluent2/range-slider/tooltip.html) - Provided built-in support to render the buttons in both edges of the Slider.
* [Tooltip](https://ej2.syncfusion.com/vue/demos/?utm_source=npm&utm_campaign=slider#/fluent2/range-slider/tooltip.html) - Displays a tooltip to show the currently selected value.
* [Ticks](https://ej2.syncfusion.com/vue/demos/?utm_source=npm&utm_campaign=slider#/fluent2/range-slider/ticks.html) - Displays a scale with small and big ticks.
* [Format](https://ej2.syncfusion.com/vue/demos/?utm_source=npm&utm_campaign=slider#/fluent2/range-slider/format.html) - Customize the slider values into various format.
* [Limits](https://ej2.syncfusion.com/vue/demos/?utm_source=npm&utm_campaign=slider#/fluent2/range-slider/limits.html) - Slider thumb movement restriction enabled with interval dragging in range-slider.
* [Accessibility](https://ej2.syncfusion.com/vue/demos/?utm_source=npm&utm_campaign=slider#/fluent2/range-slider/default.html) - Built-in compliance with the [WAI-ARIA](http://www.w3.org/WAI/PF/aria-practices/) specifications.
* [Keyboard interaction](https://ej2.syncfusion.com/vue/demos/?utm_source=npm&utm_campaign=slider#/fluent2/range-slider/api.html) - The Slider can be intractable through the keyboard.

### Vue File Upload

The [Vue File Upload](https://www.syncfusion.com/vue-components/vue-file-upload?utm_source=npm&utm_medium=listing&utm_campaign=vue-inputs-npm) component is an extended version of the HTML5 upload control which is used to upload images, documents, and other files to a server.

<p align="center">
  <a href="https://ej2.syncfusion.com/vue/documentation/uploader/getting-started/?utm_source=npm&utm_medium=listing&utm_campaign=vue-inputs-npm">Getting Started</a> .
  <a href="https://ej2.syncfusion.com/vue/demos/?utm_source=npm&utm_medium=listing&utm_campaign=vue-inputs-npm#/fluent2/uploader/default.html">Online demos</a> .
  <a href="https://www.syncfusion.com/vue-components/vue-file-upload?utm_source=npm&utm_medium=listing&utm_campaign=vue-inputs-npm">Learn more</a>
</p>

<p align="center">
<img alt="Vue FileUpload Component" src="https://raw.githubusercontent.com/SyncfusionExamples/nuget-img/master/vue/vue-file-upload.png">
</p>

#### Key features

* [Chunk upload](https://ej2.syncfusion.com/vue/demos/?utm_source=npm&utm_medium=listing&utm_campaign=vue-file-upload-npm#/fluent2/uploader/chunk-upload.html) – used to upload large files as chunks
* [Drag-and-drop](https://ej2.syncfusion.com/vue/demos/?utm_source=npm&utm_medium=listing&utm_campaign=vue-file-upload-npm#/fluent2/uploader/custom-drop-area.html) – drag the files and drop into component to upload them.
* [Template](https://ej2.syncfusion.com/vue/demos/?utm_source=npm&utm_medium=listing&utm_campaign=vue-file-upload-npm#/fluent2/uploader/custom-file-list.html) – the file list and buttons can be customize using template.
* [Validation](https://ej2.syncfusion.com/vue/demos/?utm_source=npm&utm_medium=listing&utm_campaign=vue-file-upload-npm#/fluent2/uploader/file-validation.html) – validate extension and size of upload file.
* [Auto upload](https://ej2.syncfusion.com/vue/demos/?utm_source=npm&utm_medium=listing&utm_campaign=vue-file-upload-npm#/fluent2/uploader/default.html) – Process the file to upload without interaction.
* [Preload files](https://ej2.syncfusion.com/vue/demos/?utm_source=npm&utm_medium=listing&utm_campaign=vue-file-upload-npm#/fluent2/uploader/preload-files.html) – View and manipulate previously uploaded files.

### Vue Rating

The [Vue Rating](https://www.syncfusion.com/vue-components/vue-rating?utm_source=npm&utm_medium=listing&utm_campaign=vue-inputs-npm) component is used to provide a star rating or view other people’s ratings on a numeric scale for any service provided, such as for movies, applications, or products. It has several built-in features such as support for precision modes, labels, tooltip, and UI customization.

<p align="center">
  <a href="https://ej2.syncfusion.com/vue/documentation/rating/getting-started/?utm_source=npm&utm_medium=listing&utm_campaign=vue-inputs-npm">Getting Started</a> .
  <a href="https://ej2.syncfusion.com/vue/demos/?utm_source=npm&utm_medium=listing&utm_campaign=vue-inputs-npm#/fluent2/rating/default.html">Online demos</a> .
  <a href="https://www.syncfusion.com/vue-components/vue-rating?utm_source=npm&utm_medium=listing&utm_campaign=vue-inputs-npm">Learn more</a>
</p>

<p align="center">
<img alt="Vue Rating Component" src="https://raw.githubusercontent.com/SyncfusionExamples/nuget-img/master/vue/vue-rating.gif">
</p>

#### Key features

* [Precision modes](https://ej2.syncfusion.com/vue/documentation/rating/precision-modes) - Provides different precision modes for more accurate rating.
* [Labels](https://ej2.syncfusion.com/vue/documentation/rating/labels) - Displays current value of the rating.
* [Tooltip](https://ej2.syncfusion.com/vue/documentation/rating/tool-tip) -  Displays additional information of the rating items.
* [Selection](https://ej2.syncfusion.com/vue/documentation/rating/selection) - Customization options for the selected rating value and selection behavior.
* [Appearance](https://ej2.syncfusion.com/vue/documentation/rating/appearance) - Customize the rating items appearance.
* [Templates](https://ej2.syncfusion.com/vue/documentation/rating/templates) - Customize the rating item with a heart, SVG, or any content that precisely matches unique needs.

### Vue OTP Input

The [Vue OTP Input](https://www.syncfusion.com/vue-components/vue-otp-input?utm_source=npm&utm_medium=listing&utm_campaign=vue-inputs-npm) component is designed to securely enter and verify single-use passwords for multi-factor authentication purposes in various applications, such as banking, e-commerce, or account login processes. It has several built-in features such as support for input types, styling modes, placeholder, seperators, and customization.

<p align="center">
  <a href="https://ej2.syncfusion.com/vue/documentation/otp-input/getting-started/?utm_source=npm&utm_medium=listing&utm_campaign=vue-inputs-npm">Getting Started</a> .
  <a href="https://ej2.syncfusion.com/vue/demos/?utm_source=npm&utm_medium=listing&utm_campaign=vue-inputs-npm#/fluent2/otp-input/default">Online demos</a> .
  <a href="https://www.syncfusion.com/vue-components/vue-otp-input?utm_source=npm&utm_medium=listing&utm_campaign=vue-inputs-npm">Learn more</a>
</p>

<p align="center">
<img alt="Vue OTP Input Component" src="https://raw.githubusercontent.com/SyncfusionExamples/nuget-img/master/vue/vue-otp-input.png">

#### Key features

* [Input types](https://ej2.syncfusion.com/vue/demos/?utm_source=npm&utm_medium=listing&utm_campaign=vue-otp-input-npm#/fluent2/otp-input/default) - Allow specifying the input type as text, number, or password for the OTP input..
* [Styling modes](https://ej2.syncfusion.com/vue/demos/?utm_source=npm&utm_medium=listing&utm_campaign=vue-otp-input-npm#/fluent2/otp-input/api) - Offer built-in styling options such as underline, outline, or fill.
* [Placeholders](https://ej2.syncfusion.com/vue/demos/?utm_source=npm&utm_medium=listing&utm_campaign=vue-otp-input-npm#/fluent2/otp-input/api) - Allow setting a hint character for each input field, indicating the expected value.
* [Separators](https://ej2.syncfusion.com/vue/demos/?utm_source=npm&utm_medium=listing&utm_campaign=vue-otp-input-npm#/fluent2/otp-input/api) - Specify a character to be placed between input fields. 
* [Customization](https://ej2.syncfusion.com/vue/demos/?utm_source=npm&utm_medium=listing&utm_campaign=vue-otp-input-npm#/fluent2/otp-input/api) - Allows customizing the default appearance, including input field styling, input length, and more.

<p align="center">
Trusted by the world's leading companies
  <a href="https://www.syncfusion.com/">
    <img src="https://raw.githubusercontent.com/SyncfusionExamples/nuget-img/master/syncfusion/syncfusion-trusted-companies.webp" alt="Syncfusion logo">
  </a>
</p>

## Setup

To install `inputs` and its dependent packages, use the following command

```sh
npm install @syncfusion/ej2-vue-inputs
```

## Supported frameworks

Inputs components are also offered in following list of frameworks.

| [<img src="https://ej2.syncfusion.com/github/images/js.svg" height="50" />](https://www.syncfusion.com/javascript-ui-controls?utm_medium=listing&utm_source=github)<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[JavaScript](https://www.syncfusion.com/javascript-ui-controls?utm_medium=listing&utm_source=github)&nbsp;&nbsp;&nbsp;&nbsp; | [<img src="https://ej2.syncfusion.com/github/images/react.svg"  height="50" />](https://www.syncfusion.com/react-ui-components?utm_medium=listing&utm_source=github)<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[React](https://www.syncfusion.com/react-ui-components?utm_medium=listing&utm_source=github)&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; | [<img src="https://ej2.syncfusion.com/github/images/angular-new.svg"  height="50" />](https://www.syncfusion.com/angular-components/?utm_medium=listing&utm_source=github)<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[Angular](https://www.syncfusion.com/angular-components/?utm_medium=listing&utm_source=github)&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; | [<img src="https://ej2.syncfusion.com/github/images/netcore.svg" height="50" />](https://www.syncfusion.com/aspnet-core-ui-controls?utm_medium=listing&utm_source=github)<br/>&nbsp;&nbsp;[ASP.NET&nbsp;Core](https://www.syncfusion.com/aspnet-core-ui-controls?utm_medium=listing&utm_source=github)&nbsp;&nbsp; | [<img src="https://ej2.syncfusion.com/github/images/netmvc.svg" height="50" />](https://www.syncfusion.com/aspnet-mvc-ui-controls?utm_medium=listing&utm_source=github)<br/>&nbsp;&nbsp;[ASP.NET&nbsp;MVC](https://www.syncfusion.com/aspnet-mvc-ui-controls?utm_medium=listing&utm_source=github)&nbsp;&nbsp; | 
| :-----: | :-----: | :-----: | :-----: | :-----: |

## Showcase samples

* Cloud Pricing - [Live Demo](https://ej2.syncfusion.com/vue/demos/?utm_source=npm&utm_campaign=slider#/fluent2/range-slider/azure-pricing.html)

## Support

Product support is available through following mediums.

* [Support ticket](https://support.syncfusion.com/support/tickets/create) - Guaranteed Response in 24 hours | Unlimited tickets | Holiday support
* [Community forum](https://www.syncfusion.com/forums/vue?utm_source=npm&utm_medium=listing&utm_campaign=vue-inputs-npm)
* [GitHub issues](https://github.com/syncfusion/ej2-vue-ui-components/issues/new)
* [Request feature or report bug](https://www.syncfusion.com/feedback/vue?utm_source=npm&utm_medium=listing&utm_campaign=vue-inputs-npm)
* Live chat

## Changelog

Check the changelog [here](https://github.com/syncfusion/ej2-vue-ui-components/blob/master/components/inputs/CHANGELOG.md/?utm_source=npm&utm_campaign=input). Get minor improvements and bug fixes every week to stay up to date with frequent updates.

## License and copyright

> This is a commercial product and requires a paid license for possession or use. Syncfusion<sup>®</sup> licensed software, including this component, is subject to the terms and conditions of Syncfusion<sup>®</sup> [EULA](https://www.syncfusion.com/eula/es/). To acquire a license for 80+ [Vue UI components](https://www.syncfusion.com/vue-components), you can [purchase](https://www.syncfusion.com/sales/products) or [start a free 30-day trial](https://www.syncfusion.com/account/manage-trials/start-trials).

> A free community [license](https://www.syncfusion.com/products/communitylicense) is also available for companies and individuals whose organizations have less than $1 million USD in annual gross revenue and five or fewer developers.

See [LICENSE FILE](https://github.com/syncfusion/ej2-vue-ui-components/blob/master/license) for more info.

© Copyright 2025 Syncfusion<sup>®</sup> Inc. All Rights Reserved. The Syncfusion<sup>®</sup> Essential Studio<sup>®</sup> license and copyright applies to this distribution.